%define major		0
%define apiver		2.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d
%define develsname	%mklibname %{name} -d -s

%define sname		SDL2_image

Summary:	Simple DirectMedia Layer 2 - image
Name:		sdl2_image
Version:	2.0.1
%define subrel 1
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_image
Source0:	http://www.libsdl.org/projects/SDL_image/release/%{sname}-%{version}.tar.gz
# https://hg.libsdl.org/SDL_image/rev/318484db0705
Patch0:		SDL2_image-2.0.1-CVE-2017-2887.patch

BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(sdl2)

%description
This is a simple library to load images of various formats as SDL2 surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdl2show' to test the library.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(sdl2)
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/C

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%setup -q -n %{sname}-%{version}
%autopatch -p1

%build
# (anssi) --disable-x-shared disable dlopening, so that we link to them
# dynamically instead, and thus get correct autorequires
%configure2_5x	--enable-bmp \
		--enable-gif \
		--enable-jpg \
		--enable-pcx \
		--enable-png \
		--enable-tif \
		--enable-xpm \
		--disable-jpg-shared \
		--disable-png-shared \
		--disable-tif-shared

%make_build

%install
%make_install

install -d %{buildroot}%{_bindir}
install -m755 .libs/showimage %{buildroot}%{_bindir}/sdl2show

%files -n %{libname}-test
%{_bindir}/sdl2show

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%doc COPYING.txt
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/SDL2_image.pc

%files -n %{develsname}
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Wed Oct 25 2017 akien <akien> 2.0.1-1.1.mga6
+ Revision: 1173612
- Fixed security vulnerability in XCF image loader (CVE-2017-2887, mga#21881)

* Sun Jan 10 2016 akien <akien> 2.0.1-1.mga6
+ Revision: 921129
- Version 2.0.1

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 747032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 689090
- Mageia 5 Mass Rebuild

* Sun Dec 08 2013 blue_prawn <blue_prawn> 2.0.0-2.mga4
+ Revision: 555867
- put all the static stuff into the static split
- fixed the license, and static split

  + akien <akien>
    - Fixed mixed use of tabs and spaces
    - Added BR on libwebp-devel
    - Adapted SDL_image spec file to sdl2_image (new apiver)
    - Removed --enable-ppm option, not available anymore during compilation
    - Forking SDL_image into sdl2_image

  + fwang <fwang>
    - rebuild for new libpng
    - new version 1.2.11
    - rebuild for new libtiff
    - fix build with libpng15
    - rebuild for new libpng

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + luigiwalser <luigiwalser>
    - remove patch 0
    - 1.2.12

  + alien <alien>
    - fix 8bit png images (fixes bug #4175)

  + sander85 <sander85>
    - bump release for upgrading from mdv2010.{1,2}

  + supp <supp>
    - imported package SDL_image

